export const prompt = `任务目标

Apriori算法设计需求说明，结构化分析和建模建议

数据样本：[在此粘贴数据片段或上传文件（CSV/XLSX）]  

1. 问题定义与目标明确
请明确回答以下问题：

   核心问题 ：该数据集拟解决的业务问题是什么？（例如：发现商品购买关联规则、优化商品推荐策略等）  

   关联目标：  

    - 需要挖掘的关联模式类型（如"购买T恤的用户是否常搭配购买牛仔裤"）  

    - 业务价值目标（如"提升交叉销售转化率10%"）  

2. 特征工程与事务准备
请分步骤给出建议：

  (1) 特征筛选标准：  

      保留字段：  

  | 字段名             | 处理方式        | 保留理由（满足以下条件） |  

  | 商品名称          | 转为事务列表  | 核心交易项，用于挖掘关联规则 |  

  | 品类                | 转为事务列表  | 分析品类间的共现模式 |  

  | 用户ID（可选） | 分组分析          按用户挖掘个性化购买模式 | 

    排除字段：  

  | 字段名 | 排除原因 |  

  | 订单时间 | 无直接关联规则挖掘价值 |  

  | 物流信息 | 与购买行为无关 |  

 

  (2) 特征处理建议：  

     事务格式要求：  

  - 数据需转换为\`[[事务1商品列表], [事务2商品列表], ...]\`格式  

  - 示例：\`[["T恤", "牛仔裤"], ["连衣裙", "帆布鞋"]]\`  

     缺失值处理：  

  - 策略：删除空值或填充（如"其他"类别） 

    数据降维：  

  - 是否需要合并商品层级？[是/否及理由]（如"合并到品类层级以减少项数量"）

3. 模型输入设计
    事务数据格式：  

    订单ID | 购买项列表

      A123 | [女裤, 泫雅风T恤, 双11优惠]

     A456 | [连衣裙, 氨纶材质]

    参数配置建议：  

      \`min_support\`：[建议值及理由]（如"设置为0.05以筛选高频项集"）  

      \`min_confidence\`：[建议值及理由]（如"设置为0.6以保证规则实用性"） 

 

4. 算法实现建议
    模型适配性：  

      是否适合Apriori？[是/否及理由]

      若否，推荐调整：  

      尝试FP-Growth（如"数据规模过大时更高效"） 

    关键参数建议：  

      \`min_support\`：0.03-0.1（高频商品组合筛选）  

      \`min_confidence\`：0.5+（保证规则可信度）  

      \`max_length\`：5（限制规则复杂度）     

   业务规则过滤：  

     推荐设置\`min_lift>1.5\`以筛选强关联规则（如"购买T恤的用户更可能购买配套裤子"）

   计算资源建议：  

     特征维度>100时，建议先进行商品聚类降维

5. 输出格式要求
请以以下结构分点输出，便于模型生成清晰结论：

1. 问题定义：[一句话描述业务问题及目标]  

2. 事务构建建议：  

   - 保留字段：[字段列表及处理方式和理由]  

   - 排除字段：[字段列表及排除原因]  

3. 关键特征分析：  

      高频项集：  

       强关联规则：  

4. 模型建议：  

   参数配置：  

      \`min_support=0.05\`（筛选高频商品组合）  

      \`min_confidence=0.6\`（保证业务价值）    

   业务验证方式：  

   推荐验证方法：人工审核规则合理性（如"是否符合业务常识"）  

   关键评估指标：lift值、置信度、支持度   `
